public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] gentoo-x86 commit in app-doc/doxygen: doxygen-1.5.5.ebuild doxygen-1.5.4.ebuild doxygen-1.5.7.1.ebuild doxygen-1.5.8.ebuild ChangeLog doxygen-1.4.7.ebuild doxygen-1.5.6.ebuild
@ 2009-05-30  8:19 Ulrich Mueller (ulm)
  0 siblings, 0 replies; only message in thread
From: Ulrich Mueller (ulm) @ 2009-05-30  8:19 UTC (permalink / raw
  To: gentoo-commits

ulm         09/05/30 08:19:53

  Modified:             doxygen-1.5.5.ebuild doxygen-1.5.4.ebuild
                        doxygen-1.5.7.1.ebuild doxygen-1.5.8.ebuild
                        ChangeLog doxygen-1.4.7.ebuild doxygen-1.5.6.ebuild
  Log:
  Remove app-text/tetex from dependencies, bug 227443.
  (Portage version: 2.2_rc33/cvs/Linux i686)

Revision  Changes    Path
1.7                  app-doc/doxygen/doxygen-1.5.5.ebuild

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/app-doc/doxygen/doxygen-1.5.5.ebuild?rev=1.7&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/app-doc/doxygen/doxygen-1.5.5.ebuild?rev=1.7&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/app-doc/doxygen/doxygen-1.5.5.ebuild?r1=1.6&r2=1.7

Index: doxygen-1.5.5.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/app-doc/doxygen/doxygen-1.5.5.ebuild,v
retrieving revision 1.6
retrieving revision 1.7
diff -u -r1.6 -r1.7
--- doxygen-1.5.5.ebuild	12 Oct 2008 01:49:49 -0000	1.6
+++ doxygen-1.5.5.ebuild	30 May 2009 08:19:53 -0000	1.7
@@ -1,6 +1,6 @@
-# Copyright 1999-2008 Gentoo Foundation
+# Copyright 1999-2009 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-doc/doxygen/doxygen-1.5.5.ebuild,v 1.6 2008/10/12 01:49:49 nerdboy Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-doc/doxygen/doxygen-1.5.5.ebuild,v 1.7 2009/05/30 08:19:53 ulm Exp $
 
 EAPI=1
 
@@ -16,13 +16,10 @@
 IUSE="debug doc nodot qt3 latex elibc_FreeBSD"
 
 RDEPEND="qt3? ( x11-libs/qt:3 )
-	latex? ( || (
-		( app-text/texlive-core
+	latex? ( app-text/texlive-core
 		dev-texlive/texlive-latexrecommended
 		dev-texlive/texlive-genericrecommended
 		dev-texlive/texlive-fontsrecommended )
-		( app-text/tetex ) )
-		)
 	dev-lang/python
 	virtual/libiconv
 	media-libs/libpng
@@ -40,16 +37,16 @@
 
 	# use CFLAGS, CXXFLAGS, LDFLAGS
 	sed -i.orig -e 's:^\(TMAKE_CFLAGS_RELEASE\t*\)= .*$:\1= $(ECFLAGS):' \
-	    -e 's:^\(TMAKE_CXXFLAGS_RELEASE\t*\)= .*$:\1= $(ECXXFLAGS):' \
-	    -e 's:^\(TMAKE_LFLAGS_RELEASE\s*\)=.*$:\1= $(ELDFLAGS):' \
-	    tmake/lib/{{linux,freebsd,netbsd,openbsd,solaris}-g++,macosx-c++}/tmake.conf \
-	    || die "sed failed"
+		-e 's:^\(TMAKE_CXXFLAGS_RELEASE\t*\)= .*$:\1= $(ECXXFLAGS):' \
+		-e 's:^\(TMAKE_LFLAGS_RELEASE\s*\)=.*$:\1= $(ELDFLAGS):' \
+		tmake/lib/{{linux,freebsd,netbsd,openbsd,solaris}-g++,macosx-c++}/tmake.conf \
+		|| die "sed failed"
 
 	# Ensure we link to -liconv
 	if use elibc_FreeBSD; then
-	    for pro in */*.pro.in */*/*.pro.in; do
+		for pro in */*.pro.in */*/*.pro.in; do
 		echo "unix:LIBS += -liconv" >> "${pro}"
-	    done
+		done
 	fi
 
 	# Consolidate patches, apply FreeBSD configure patch, codepage patch,
@@ -60,18 +57,18 @@
 	epatch "${FILESDIR}/${PN}-1.5-system-libpng.patch"
 
 	if [ $(get_libdir) == "lib64" ] ; then
-	    epatch "${FILESDIR}/${PN}-1.5-qtlibdir.patch"
+		epatch "${FILESDIR}/${PN}-1.5-qtlibdir.patch"
 	fi
 
 	if is-flagq "-O3" ; then
-	    echo
-	    ewarn "Compiling with -O3 is known to produce incorrectly"
-	    ewarn "optimized code which breaks doxygen."
-	    echo
-	    epause 6
-	    elog "Continuing with -O2 instead ..."
-	    echo
-	    replace-flags "-O3" "-O2"
+		echo
+		ewarn "Compiling with -O3 is known to produce incorrectly"
+		ewarn "optimized code which breaks doxygen."
+		echo
+		epause 6
+		elog "Continuing with -O2 instead ..."
+		echo
+		replace-flags "-O3" "-O2"
 	fi
 }
 
@@ -81,52 +78,52 @@
 
 	local my_conf=""
 	if use debug; then
-	    my_conf="--prefix ${D}usr --debug"
+		my_conf="--prefix ${D}usr --debug"
 	else
-	    my_conf="--prefix ${D}usr"
+		my_conf="--prefix ${D}usr"
 	fi
 
 	if use qt3; then
-	    einfo "using QTDIR: '$QTDIR'."
-	    export LIBRARY_PATH="${QTDIR}/$(get_libdir):${LIBRARY_PATH}"
-	    export LD_LIBRARY_PATH="${QTDIR}/$(get_libdir):${LD_LIBRARY_PATH}"
-	    einfo "using QT LIBRARY_PATH: '$LIBRARY_PATH'."
-	    einfo "using QT LD_LIBRARY_PATH: '$LD_LIBRARY_PATH'."
-	    ./configure ${my_conf} $(use_with qt3 doxywizard) \
+		einfo "using QTDIR: '$QTDIR'."
+		export LIBRARY_PATH="${QTDIR}/$(get_libdir):${LIBRARY_PATH}"
+		export LD_LIBRARY_PATH="${QTDIR}/$(get_libdir):${LD_LIBRARY_PATH}"
+		einfo "using QT LIBRARY_PATH: '$LIBRARY_PATH'."
+		einfo "using QT LD_LIBRARY_PATH: '$LD_LIBRARY_PATH'."
+		./configure ${my_conf} $(use_with qt3 doxywizard) \
 		|| die 'configure with qt3 failed'
 	else
-	    ./configure ${my_conf} || die 'configure failed'
+		./configure ${my_conf} || die 'configure failed'
 	fi
 
 	# and compile
 	emake CC="$(tc-getCC)" CXX="$(tc-getCXX)" LINK="$(tc-getCXX)" \
-	    LINK_SHLIB="$(tc-getCXX)" all || die 'emake failed'
+		LINK_SHLIB="$(tc-getCXX)" all || die 'emake failed'
 
 	# generate html and pdf (if tetex in use) documents.
 	# errors here are not considered fatal, hence the ewarn message
 	# TeX's font caching in /var/cache/fonts causes sandbox warnings,
 	# so we allow it.
 	if use doc; then
-	    if use nodot; then
+		if use nodot; then
 		sed -i -e "s/HAVE_DOT               = YES/HAVE_DOT    = NO/" \
-		    {Doxyfile,doc/Doxyfile} || ewarn "disabling dot failed"
-	    fi
-	    if use latex; then
+			{Doxyfile,doc/Doxyfile} || ewarn "disabling dot failed"
+		fi
+		if use latex; then
 		addwrite /var/cache/fonts
 		addwrite /var/cache/fontconfig
 		addwrite /usr/share/texmf/fonts/pk
 		addwrite /usr/share/texmf/ls-R
 		make pdf || ewarn '"make pdf docs" failed.'
-	    else
+		else
 		cp doc/Doxyfile doc/Doxyfile.orig
 		cp doc/Makefile doc/Makefile.orig
 		sed -i.orig -e "s/GENERATE_LATEX    = YES/GENERATE_LATEX    = NO/" \
-		    doc/Doxyfile
+			doc/Doxyfile
 		sed -i.orig -e "s/@epstopdf/# @epstopdf/" \
-		    -e "s/@cp Makefile.latex/# @cp Makefile.latex/" \
-		    -e "s/@sed/# @sed/" doc/Makefile
+			-e "s/@cp Makefile.latex/# @cp Makefile.latex/" \
+			-e "s/@sed/# @sed/" doc/Makefile
 		make docs || ewarn '"make html docs" failed.'
-	    fi
+		fi
 	fi
 }
 
@@ -135,8 +132,8 @@
 		install || die '"make install" failed.'
 
 	if use qt3; then
-	    doicon "${FILESDIR}/doxywizard.png"
-	    make_desktop_entry doxywizard "DoxyWizard ${PV}" \
+		doicon "${FILESDIR}/doxywizard.png"
+		make_desktop_entry doxywizard "DoxyWizard ${PV}" \
 		"doxywizard.png" "Application;Development"
 	fi
 
@@ -144,11 +141,11 @@
 
 	# pdf and html manuals
 	if use doc; then
-	    insinto /usr/share/doc/"${PF}"
-	    if use latex; then
+		insinto /usr/share/doc/"${PF}"
+		if use latex; then
 		doins latex/doxygen_manual.pdf
-	    fi
-	    dohtml -r html/*
+		fi
+		dohtml -r html/*
 	fi
 }
 



1.17                 app-doc/doxygen/doxygen-1.5.4.ebuild

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/app-doc/doxygen/doxygen-1.5.4.ebuild?rev=1.17&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/app-doc/doxygen/doxygen-1.5.4.ebuild?rev=1.17&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/app-doc/doxygen/doxygen-1.5.4.ebuild?r1=1.16&r2=1.17

Index: doxygen-1.5.4.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/app-doc/doxygen/doxygen-1.5.4.ebuild,v
retrieving revision 1.16
retrieving revision 1.17
diff -u -r1.16 -r1.17
--- doxygen-1.5.4.ebuild	12 Oct 2008 01:49:49 -0000	1.16
+++ doxygen-1.5.4.ebuild	30 May 2009 08:19:53 -0000	1.17
@@ -1,6 +1,6 @@
-# Copyright 1999-2008 Gentoo Foundation
+# Copyright 1999-2009 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-doc/doxygen/doxygen-1.5.4.ebuild,v 1.16 2008/10/12 01:49:49 nerdboy Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-doc/doxygen/doxygen-1.5.4.ebuild,v 1.17 2009/05/30 08:19:53 ulm Exp $
 
 EAPI=1
 
@@ -16,13 +16,10 @@
 IUSE="debug doc nodot qt3 latex elibc_FreeBSD"
 
 RDEPEND="qt3? ( x11-libs/qt:3 )
-	latex? ( || (
-		( app-text/texlive-core
+	latex? ( app-text/texlive-core
 		dev-texlive/texlive-latexrecommended
 		dev-texlive/texlive-genericrecommended
 		dev-texlive/texlive-fontsrecommended )
-		( app-text/tetex ) )
-		)
 	dev-lang/python
 	virtual/libiconv
 	virtual/ghostscript
@@ -39,10 +36,10 @@
 
 	# use CFLAGS, CXXFLAGS, LDFLAGS
 	sed -i.orig -e 's:^\(TMAKE_CFLAGS_RELEASE\t*\)= .*$:\1= $(ECFLAGS):' \
-	    -e 's:^\(TMAKE_CXXFLAGS_RELEASE\t*\)= .*$:\1= $(ECXXFLAGS):' \
-	    -e 's:^\(TMAKE_LFLAGS_RELEASE\s*\)=.*$:\1= $(ELDFLAGS):' \
-	    tmake/lib/{{linux,freebsd,netbsd,openbsd,solaris}-g++,macosx-c++}/tmake.conf \
-	    || die "sed failed"
+		-e 's:^\(TMAKE_CXXFLAGS_RELEASE\t*\)= .*$:\1= $(ECXXFLAGS):' \
+		-e 's:^\(TMAKE_LFLAGS_RELEASE\s*\)=.*$:\1= $(ELDFLAGS):' \
+		tmake/lib/{{linux,freebsd,netbsd,openbsd,solaris}-g++,macosx-c++}/tmake.conf \
+		|| die "sed failed"
 
 	# Ensure we link to -liconv
 	if use elibc_FreeBSD; then
@@ -59,18 +56,18 @@
 	epatch "${FILESDIR}/${PN}-1.5-system-libpng.patch"
 
 	if [ $(get_libdir) == "lib64" ] ; then
-	    epatch "${FILESDIR}/${PN}-1.5-qtlibdir.patch"
+		epatch "${FILESDIR}/${PN}-1.5-qtlibdir.patch"
 	fi
 
 	if is-flagq "-O3" ; then
-	    echo
-	    ewarn "Compiling with -O3 is known to produce incorrectly"
-	    ewarn "optimized code which breaks doxygen."
-	    echo
-	    epause 6
-	    elog "Continuing with -O2 instead ..."
-	    echo
-	    replace-flags "-O3" "-O2"
+		echo
+		ewarn "Compiling with -O3 is known to produce incorrectly"
+		ewarn "optimized code which breaks doxygen."
+		echo
+		epause 6
+		elog "Continuing with -O2 instead ..."
+		echo
+		replace-flags "-O3" "-O2"
 	fi
 }
 
@@ -79,52 +76,52 @@
 	# set ./configure options (prefix, Qt based wizard, docdir)
 
 	if use debug; then
-	    local my_conf="--prefix ${D}usr --debug"
+		local my_conf="--prefix ${D}usr --debug"
 	else
-	    local my_conf="--prefix ${D}usr"
+		local my_conf="--prefix ${D}usr"
 	fi
 
 	if use qt3; then
-	    einfo "using QTDIR: '$QTDIR'."
-	    export LD_LIBRARY_PATH=${QTDIR}/$(get_libdir):${LD_LIBRARY_PATH}
-	    export LIBRARY_PATH=${QTDIR}/$(get_libdir):${LIBRARY_PATH}
-	    einfo "using QT LIBRARY_PATH: '$LIBRARY_PATH'."
-	    einfo "using QT LD_LIBRARY_PATH: '$LD_LIBRARY_PATH'."
-	    ./configure ${my_conf} $(use_with qt3 doxywizard) \
+		einfo "using QTDIR: '$QTDIR'."
+		export LD_LIBRARY_PATH=${QTDIR}/$(get_libdir):${LD_LIBRARY_PATH}
+		export LIBRARY_PATH=${QTDIR}/$(get_libdir):${LIBRARY_PATH}
+		einfo "using QT LIBRARY_PATH: '$LIBRARY_PATH'."
+		einfo "using QT LD_LIBRARY_PATH: '$LD_LIBRARY_PATH'."
+		./configure ${my_conf} $(use_with qt3 doxywizard) \
 		|| die 'configure with qt3 failed'
 	else
-	    ./configure ${my_conf} || die 'configure failed'
+		./configure ${my_conf} || die 'configure failed'
 	fi
 
 	# and compile
 	emake CC="$(tc-getCC)" CXX="$(tc-getCXX)" LINK="$(tc-getCXX)" \
-	    LINK_SHLIB="$(tc-getCXX)" all || die 'emake failed'
+		LINK_SHLIB="$(tc-getCXX)" all || die 'emake failed'
 
 	# generate html and pdf (if tetex in use) documents.
 	# errors here are not considered fatal, hence the ewarn message
 	# TeX's font caching in /var/cache/fonts causes sandbox warnings,
 	# so we allow it.
 	if use doc; then
-	    if use nodot; then
+		if use nodot; then
 		sed -i -e "s/HAVE_DOT               = YES/HAVE_DOT    = NO/" \
-		    {Doxyfile,doc/Doxyfile} || ewarn "disabling dot failed"
-	    fi
-	    if use latex; then
+			{Doxyfile,doc/Doxyfile} || ewarn "disabling dot failed"
+		fi
+		if use latex; then
 		addwrite /var/cache/fonts
 		addwrite /var/cache/fontconfig
 		addwrite /usr/share/texmf/fonts/pk
 		addwrite /usr/share/texmf/ls-R
 		make pdf || ewarn '"make pdf docs" failed.'
-	    else
+		else
 		cp doc/Doxyfile doc/Doxyfile.orig
 		cp doc/Makefile doc/Makefile.orig
 		sed -i.orig -e "s/GENERATE_LATEX    = YES/GENERATE_LATEX    = NO/" \
-		    doc/Doxyfile
+			doc/Doxyfile
 		sed -i.orig -e "s/@epstopdf/# @epstopdf/" \
-		    -e "s/@cp Makefile.latex/# @cp Makefile.latex/" \
-		    -e "s/@sed/# @sed/" doc/Makefile
+			-e "s/@cp Makefile.latex/# @cp Makefile.latex/" \
+			-e "s/@sed/# @sed/" doc/Makefile
 		make docs || ewarn '"make html docs" failed.'
-	    fi
+		fi
 	fi
 }
 
@@ -133,8 +130,8 @@
 		install || die '"make install" failed.'
 
 	if use qt3; then
-	    doicon "${FILESDIR}/doxywizard.png"
-	    make_desktop_entry doxywizard "DoxyWizard ${PV}" \
+		doicon "${FILESDIR}/doxywizard.png"
+		make_desktop_entry doxywizard "DoxyWizard ${PV}" \
 		"doxywizard.png" "Application;Development"
 	fi
 
@@ -142,11 +139,11 @@
 
 	# pdf and html manuals
 	if use doc; then
-	    insinto /usr/share/doc/${PF}
-	    if use latex; then
+		insinto /usr/share/doc/${PF}
+		if use latex; then
 		doins latex/doxygen_manual.pdf
-	    fi
-	    dohtml -r html/*
+		fi
+		dohtml -r html/*
 	fi
 }
 



1.4                  app-doc/doxygen/doxygen-1.5.7.1.ebuild

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/app-doc/doxygen/doxygen-1.5.7.1.ebuild?rev=1.4&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/app-doc/doxygen/doxygen-1.5.7.1.ebuild?rev=1.4&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/app-doc/doxygen/doxygen-1.5.7.1.ebuild?r1=1.3&r2=1.4

Index: doxygen-1.5.7.1.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/app-doc/doxygen/doxygen-1.5.7.1.ebuild,v
retrieving revision 1.3
retrieving revision 1.4
diff -u -r1.3 -r1.4
--- doxygen-1.5.7.1.ebuild	24 Dec 2008 02:18:09 -0000	1.3
+++ doxygen-1.5.7.1.ebuild	30 May 2009 08:19:53 -0000	1.4
@@ -1,6 +1,6 @@
-# Copyright 1999-2008 Gentoo Foundation
+# Copyright 1999-2009 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-doc/doxygen/doxygen-1.5.7.1.ebuild,v 1.3 2008/12/24 02:18:09 nerdboy Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-doc/doxygen/doxygen-1.5.7.1.ebuild,v 1.4 2009/05/30 08:19:53 ulm Exp $
 
 EAPI=1
 
@@ -16,14 +16,11 @@
 IUSE="debug doc nodot qt3 latex elibc_FreeBSD"
 
 RDEPEND="qt3? ( x11-libs/qt:3 )
-	latex? ( || (
-		( app-text/texlive-core
+	latex? ( app-text/texlive-core
 		dev-texlive/texlive-genericrecommended
 		dev-texlive/texlive-fontsrecommended
 		dev-texlive/texlive-latexrecommended
 		dev-texlive/texlive-latexextra )
-		( app-text/tetex ) )
-		)
 	dev-lang/python
 	virtual/libiconv
 	media-libs/libpng



1.4                  app-doc/doxygen/doxygen-1.5.8.ebuild

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/app-doc/doxygen/doxygen-1.5.8.ebuild?rev=1.4&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/app-doc/doxygen/doxygen-1.5.8.ebuild?rev=1.4&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/app-doc/doxygen/doxygen-1.5.8.ebuild?r1=1.3&r2=1.4

Index: doxygen-1.5.8.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/app-doc/doxygen/doxygen-1.5.8.ebuild,v
retrieving revision 1.3
retrieving revision 1.4
diff -u -r1.3 -r1.4
--- doxygen-1.5.8.ebuild	4 Feb 2009 14:53:34 -0000	1.3
+++ doxygen-1.5.8.ebuild	30 May 2009 08:19:53 -0000	1.4
@@ -1,6 +1,6 @@
 # Copyright 1999-2009 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-doc/doxygen/doxygen-1.5.8.ebuild,v 1.3 2009/02/04 14:53:34 yngwin Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-doc/doxygen/doxygen-1.5.8.ebuild,v 1.4 2009/05/30 08:19:53 ulm Exp $
 
 EAPI=1
 
@@ -16,14 +16,11 @@
 IUSE="debug doc nodot qt4 latex elibc_FreeBSD"
 
 RDEPEND="qt4? ( x11-libs/qt-gui:4 )
-	latex? ( || (
-		( app-text/texlive-core
+	latex? ( app-text/texlive-core
 		dev-texlive/texlive-genericrecommended
 		dev-texlive/texlive-fontsrecommended
 		dev-texlive/texlive-latexrecommended
 		dev-texlive/texlive-latexextra )
-		( app-text/tetex ) )
-		)
 	dev-lang/python
 	virtual/libiconv
 	media-libs/libpng



1.158                app-doc/doxygen/ChangeLog

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/app-doc/doxygen/ChangeLog?rev=1.158&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/app-doc/doxygen/ChangeLog?rev=1.158&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/app-doc/doxygen/ChangeLog?r1=1.157&r2=1.158

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/app-doc/doxygen/ChangeLog,v
retrieving revision 1.157
retrieving revision 1.158
diff -u -r1.157 -r1.158
--- ChangeLog	4 Feb 2009 14:53:34 -0000	1.157
+++ ChangeLog	30 May 2009 08:19:53 -0000	1.158
@@ -1,6 +1,11 @@
 # ChangeLog for app-doc/doxygen
 # Copyright 2002-2009 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/app-doc/doxygen/ChangeLog,v 1.157 2009/02/04 14:53:34 yngwin Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-doc/doxygen/ChangeLog,v 1.158 2009/05/30 08:19:53 ulm Exp $
+
+  30 May 2009; Ulrich Mueller <ulm@gentoo.org> doxygen-1.4.7.ebuild,
+  doxygen-1.5.4.ebuild, doxygen-1.5.5.ebuild, doxygen-1.5.6.ebuild,
+  doxygen-1.5.7.1.ebuild, doxygen-1.5.8.ebuild:
+  Remove app-text/tetex from dependencies, bug 227443.
 
   04 Feb 2009; Ben de Groot <yngwin@gentoo.org> doxygen-1.5.8:
   Correct qt:4 dep to use split deps
@@ -28,7 +33,7 @@
   Updated latex depends for bugs 237960 and 241350 since the virtual does
   not seem to be working very well for people.  Added several deps for
   texlive; thanks to mephinet <mephinet@gmx.net> and <gengor@gentoo.org>
-  for helping to track down some of the needed depends (this latex/tetex 
+  for helping to track down some of the needed depends (this latex/tetex
   thing is painful).
 
   02 Sep 2008; Christian Faulhammer <opfer@gentoo.org>
@@ -241,7 +246,7 @@
   +files/1.4.7/06_all_qtools.patch, +doxygen-1.4.7.ebuild:
   Version bump for bug #137283, need arch testing and graphviz answers (see
   bug #134575) before package cleanup can occur.  Filed bug #138937 on the
-  doxygen stablization issue.  Thanks to Adam Piatyszek for providing the 
+  doxygen stablization issue.  Thanks to Adam Piatyszek for providing the
   updated ebuild and patches.
 
   24 Jun 2006; Doug Goldstein <cardoe@gentoo.org> doxygen-1.4.2.ebuild,
@@ -395,7 +400,7 @@
   30 May 2005; Steve Arnold <nerdboy@gentoo.org>
   +files/doxygen-1.4.3-cp1251.patch, doxygen-1.4.2.ebuild,
   +doxygen-1.4.3.ebuild:
-  new version for bug 92789, patch for bug 85668, and stable bumps on 
+  new version for bug 92789, patch for bug 85668, and stable bumps on
   covered arches. Also added brute-force workaround for bug 89075.
 
   15 May 2005; Fernando J. Pereda <ferdy@gentoo.org> doxygen-1.4.1.ebuild:
@@ -669,11 +674,11 @@
 
   17 Apr 2002; Ryan Phillips <rphillips@gentoo.org> ChangeLog :
   Copied 1.2.13.1 ebuild over for 1.2.15 (#1786)
-  
+
 *doxygen-1.2.13.1 (1 Feb 2002)
 
   1 Feb 2002; G.Bevin <gbevin@gentoo.org> ChangeLog :
-  
+
   Added initial ChangeLog which should be updated whenever the package is
   updated in any way. This changelog is targetted to users. This means that the
   comments should well explained and written in clean English. The details about



1.27                 app-doc/doxygen/doxygen-1.4.7.ebuild

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/app-doc/doxygen/doxygen-1.4.7.ebuild?rev=1.27&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/app-doc/doxygen/doxygen-1.4.7.ebuild?rev=1.27&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/app-doc/doxygen/doxygen-1.4.7.ebuild?r1=1.26&r2=1.27

Index: doxygen-1.4.7.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/app-doc/doxygen/doxygen-1.4.7.ebuild,v
retrieving revision 1.26
retrieving revision 1.27
diff -u -r1.26 -r1.27
--- doxygen-1.4.7.ebuild	12 Oct 2008 01:49:49 -0000	1.26
+++ doxygen-1.4.7.ebuild	30 May 2009 08:19:53 -0000	1.27
@@ -1,6 +1,6 @@
-# Copyright 1999-2008 Gentoo Foundation
+# Copyright 1999-2009 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-doc/doxygen/doxygen-1.4.7.ebuild,v 1.26 2008/10/12 01:49:49 nerdboy Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-doc/doxygen/doxygen-1.4.7.ebuild,v 1.27 2009/05/30 08:19:53 ulm Exp $
 
 EAPI=1
 
@@ -18,13 +18,10 @@
 
 RDEPEND=">=media-gfx/graphviz-2.6
 	qt3? ( x11-libs/qt:3 )
-	latex? ( || (
-		( app-text/texlive-core
+	latex? ( app-text/texlive-core
 		dev-texlive/texlive-latexrecommended
 		dev-texlive/texlive-genericrecommended
 		dev-texlive/texlive-fontsrecommended )
-		( app-text/tetex ) )
-		)
 	virtual/ghostscript"
 DEPEND=">=sys-apps/sed-4
 	${RDEPEND}"



1.3                  app-doc/doxygen/doxygen-1.5.6.ebuild

file : http://sources.gentoo.org/viewcvs.py/gentoo-x86/app-doc/doxygen/doxygen-1.5.6.ebuild?rev=1.3&view=markup
plain: http://sources.gentoo.org/viewcvs.py/gentoo-x86/app-doc/doxygen/doxygen-1.5.6.ebuild?rev=1.3&content-type=text/plain
diff : http://sources.gentoo.org/viewcvs.py/gentoo-x86/app-doc/doxygen/doxygen-1.5.6.ebuild?r1=1.2&r2=1.3

Index: doxygen-1.5.6.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/app-doc/doxygen/doxygen-1.5.6.ebuild,v
retrieving revision 1.2
retrieving revision 1.3
diff -u -r1.2 -r1.3
--- doxygen-1.5.6.ebuild	12 Oct 2008 01:49:49 -0000	1.2
+++ doxygen-1.5.6.ebuild	30 May 2009 08:19:53 -0000	1.3
@@ -1,6 +1,6 @@
-# Copyright 1999-2008 Gentoo Foundation
+# Copyright 1999-2009 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/app-doc/doxygen/doxygen-1.5.6.ebuild,v 1.2 2008/10/12 01:49:49 nerdboy Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-doc/doxygen/doxygen-1.5.6.ebuild,v 1.3 2009/05/30 08:19:53 ulm Exp $
 
 EAPI=1
 
@@ -16,13 +16,10 @@
 IUSE="debug doc nodot qt3 latex elibc_FreeBSD"
 
 RDEPEND="qt3? ( x11-libs/qt:3 )
-	latex? ( || (
-		( app-text/texlive-core
+	latex? ( app-text/texlive-core
 		dev-texlive/texlive-latexrecommended
 		dev-texlive/texlive-genericrecommended
 		dev-texlive/texlive-fontsrecommended )
-		( app-text/tetex ) )
-		)
 	dev-lang/python
 	virtual/libiconv
 	media-libs/libpng
@@ -40,16 +37,16 @@
 
 	# use CFLAGS, CXXFLAGS, LDFLAGS
 	sed -i.orig -e 's:^\(TMAKE_CFLAGS_RELEASE\t*\)= .*$:\1= $(ECFLAGS):' \
-	    -e 's:^\(TMAKE_CXXFLAGS_RELEASE\t*\)= .*$:\1= $(ECXXFLAGS):' \
-	    -e 's:^\(TMAKE_LFLAGS_RELEASE\s*\)=.*$:\1= $(ELDFLAGS):' \
-	    tmake/lib/{{linux,freebsd,netbsd,openbsd,solaris}-g++,macosx-c++}/tmake.conf \
-	    || die "sed failed"
+		-e 's:^\(TMAKE_CXXFLAGS_RELEASE\t*\)= .*$:\1= $(ECXXFLAGS):' \
+		-e 's:^\(TMAKE_LFLAGS_RELEASE\s*\)=.*$:\1= $(ELDFLAGS):' \
+		tmake/lib/{{linux,freebsd,netbsd,openbsd,solaris}-g++,macosx-c++}/tmake.conf \
+		|| die "sed failed"
 
 	# Ensure we link to -liconv
 	if use elibc_FreeBSD; then
-	    for pro in */*.pro.in */*/*.pro.in; do
+		for pro in */*.pro.in */*/*.pro.in; do
 		echo "unix:LIBS += -liconv" >> "${pro}"
-	    done
+		done
 	fi
 
 	# Consolidate patches, apply FreeBSD configure patch, codepage patch,
@@ -60,18 +57,18 @@
 	epatch "${FILESDIR}/${PN}-1.5-system-libpng.patch"
 
 	if [ $(get_libdir) == "lib64" ] ; then
-	    epatch "${FILESDIR}/${PN}-1.5-qtlibdir.patch"
+		epatch "${FILESDIR}/${PN}-1.5-qtlibdir.patch"
 	fi
 
 	if is-flagq "-O3" ; then
-	    echo
-	    ewarn "Compiling with -O3 is known to produce incorrectly"
-	    ewarn "optimized code which breaks doxygen."
-	    echo
-	    epause 6
-	    elog "Continuing with -O2 instead ..."
-	    echo
-	    replace-flags "-O3" "-O2"
+		echo
+		ewarn "Compiling with -O3 is known to produce incorrectly"
+		ewarn "optimized code which breaks doxygen."
+		echo
+		epause 6
+		elog "Continuing with -O2 instead ..."
+		echo
+		replace-flags "-O3" "-O2"
 	fi
 }
 
@@ -81,52 +78,52 @@
 
 	local my_conf=""
 	if use debug; then
-	    my_conf="--prefix ${D}usr --debug"
+		my_conf="--prefix ${D}usr --debug"
 	else
-	    my_conf="--prefix ${D}usr"
+		my_conf="--prefix ${D}usr"
 	fi
 
 	if use qt3; then
-	    einfo "using QTDIR: '$QTDIR'."
-	    export LIBRARY_PATH="${QTDIR}/$(get_libdir):${LIBRARY_PATH}"
-	    export LD_LIBRARY_PATH="${QTDIR}/$(get_libdir):${LD_LIBRARY_PATH}"
-	    einfo "using QT LIBRARY_PATH: '$LIBRARY_PATH'."
-	    einfo "using QT LD_LIBRARY_PATH: '$LD_LIBRARY_PATH'."
-	    ./configure ${my_conf} $(use_with qt3 doxywizard) \
+		einfo "using QTDIR: '$QTDIR'."
+		export LIBRARY_PATH="${QTDIR}/$(get_libdir):${LIBRARY_PATH}"
+		export LD_LIBRARY_PATH="${QTDIR}/$(get_libdir):${LD_LIBRARY_PATH}"
+		einfo "using QT LIBRARY_PATH: '$LIBRARY_PATH'."
+		einfo "using QT LD_LIBRARY_PATH: '$LD_LIBRARY_PATH'."
+		./configure ${my_conf} $(use_with qt3 doxywizard) \
 		|| die 'configure with qt3 failed'
 	else
-	    ./configure ${my_conf} || die 'configure failed'
+		./configure ${my_conf} || die 'configure failed'
 	fi
 
 	# and compile
 	emake CC="$(tc-getCC)" CXX="$(tc-getCXX)" LINK="$(tc-getCXX)" \
-	    LINK_SHLIB="$(tc-getCXX)" all || die 'emake failed'
+		LINK_SHLIB="$(tc-getCXX)" all || die 'emake failed'
 
 	# generate html and pdf (if tetex in use) documents.
 	# errors here are not considered fatal, hence the ewarn message
 	# TeX's font caching in /var/cache/fonts causes sandbox warnings,
 	# so we allow it.
 	if use doc; then
-	    if use nodot; then
+		if use nodot; then
 		sed -i -e "s/HAVE_DOT               = YES/HAVE_DOT    = NO/" \
-		    {Doxyfile,doc/Doxyfile} || ewarn "disabling dot failed"
-	    fi
-	    if use latex; then
+			{Doxyfile,doc/Doxyfile} || ewarn "disabling dot failed"
+		fi
+		if use latex; then
 		addwrite /var/cache/fonts
 		addwrite /var/cache/fontconfig
 		addwrite /usr/share/texmf/fonts/pk
 		addwrite /usr/share/texmf/ls-R
 		make pdf || ewarn '"make pdf docs" failed.'
-	    else
+		else
 		cp doc/Doxyfile doc/Doxyfile.orig
 		cp doc/Makefile doc/Makefile.orig
 		sed -i.orig -e "s/GENERATE_LATEX    = YES/GENERATE_LATEX    = NO/" \
-		    doc/Doxyfile
+			doc/Doxyfile
 		sed -i.orig -e "s/@epstopdf/# @epstopdf/" \
-		    -e "s/@cp Makefile.latex/# @cp Makefile.latex/" \
-		    -e "s/@sed/# @sed/" doc/Makefile
+			-e "s/@cp Makefile.latex/# @cp Makefile.latex/" \
+			-e "s/@sed/# @sed/" doc/Makefile
 		make docs || ewarn '"make html docs" failed.'
-	    fi
+		fi
 	fi
 }
 
@@ -135,8 +132,8 @@
 		install || die '"make install" failed.'
 
 	if use qt3; then
-	    doicon "${FILESDIR}/doxywizard.png"
-	    make_desktop_entry doxywizard "DoxyWizard ${PV}" \
+		doicon "${FILESDIR}/doxywizard.png"
+		make_desktop_entry doxywizard "DoxyWizard ${PV}" \
 		"doxywizard.png" "Application;Development"
 	fi
 
@@ -144,11 +141,11 @@
 
 	# pdf and html manuals
 	if use doc; then
-	    insinto /usr/share/doc/"${PF}"
-	    if use latex; then
+		insinto /usr/share/doc/"${PF}"
+		if use latex; then
 		doins latex/doxygen_manual.pdf
-	    fi
-	    dohtml -r html/*
+		fi
+		dohtml -r html/*
 	fi
 }
 






^ permalink raw reply	[flat|nested] only message in thread

only message in thread, other threads:[~2009-05-30  8:19 UTC | newest]

Thread overview: (only message) (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2009-05-30  8:19 [gentoo-commits] gentoo-x86 commit in app-doc/doxygen: doxygen-1.5.5.ebuild doxygen-1.5.4.ebuild doxygen-1.5.7.1.ebuild doxygen-1.5.8.ebuild ChangeLog doxygen-1.4.7.ebuild doxygen-1.5.6.ebuild Ulrich Mueller (ulm)

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox